Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.control
Annotation Type EmailControl.Send

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public static @interface EmailControl.Send

Method for sending an email.

Required Element Summary
`String` | `to` The list of To recipients.

Optional Element Summary
`String` | `attachments` The list of files to send as attachments.
`String` | `bcc` The list of BCC recipients.
`String` | `body` A string containing the body of the e-mail.
`String` | `cc` The list of CC recipients.
`String` | `contentType` A string containing the content-type of the body.
`String` | `subject` A string containing the subject of the e-mail.

Element Detail

### to

    public abstract String to

  The list of To recipients. This attribute takes a comma separated list of Strings. This attribute is required.

### cc

    public abstract String cc

  The list of CC recipients. This attribute takes a comma separated list of Strings. This attribute is optional.

  Default:
    "Not Specified"

### bcc

    public abstract String bcc

  The list of BCC recipients. This attribute takes a comma separated list of Strings. This attribute is optional.

  Default:
    "Not Specified"

### subject

    public abstract String subject

  A string containing the subject of the e-mail. This attribute is optional.

  Default:
    "Not Specified"

### body

    public abstract String body

  A string containing the body of the e-mail. This attribute is optional. The body can be a string or an XMLObject

  Default:
    "Not Specified"

### contentType

    public abstract String contentType

  A string containing the content-type of the body. If not specified, the default is text/plain for String bodies and text/xml for XmlObject bodies. Aside from the default text/plain, expected content types include text/html, text/xml, and application/xml. This attribute is optional.

  Default:
    "Not Specified"

### attachments

    public abstract String attachments

  The list of files to send as attachments. Comma (",") is used as delimiter for specifying multiple file names. This attribute is optional.

  Default:
    "Not Specified"

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT